Create policy version
curl --request POST \
--url https://softmax.com/api/observatory/stats/policies/docker-img/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"container_image_id": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/stats/policies/docker-img/complete"
payload = {
"name": "<string>",
"container_image_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', container_image_id: '<string>'})
};
fetch('https://softmax.com/api/observatory/stats/policies/docker-img/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": 123,
"pools": [
"<string>"
],
"submit_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Policies
Create policy version
Creates or reuses a policy version from a ready container image.
POST
/
stats
/
policies
/
docker-img
/
complete
Create policy version
Authorizations
Bearer token issued by Softmax
Body
application/json
Policy name for the new version.
Ready container image to run for this version.
Pattern:
^img_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Command and arguments that start the policy, or null to use the image default.
Minimum array length:
1Non-secret environment variables for the policy process.
Show child attributes
Show child attributes
Stored secret environment to attach to the policy version.
Caller-owned tags for the policy version.
Show child attributes
Show child attributes